Name:           PyMunin
Version:        0.9.27
Release:        11%{?dist}
Summary:        Python Module for developing Munin Multigraph Monitoring Plugins

License:        GPLv3+
URL:            http://aouyar.github.com/PyMunin
Source0:        http://pypi.python.org/packages/source/P/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       munin-node
Requires:       python2-setuptools

%description
Python Module for developing Munin Multigraph Monitoring Plugins.

Regular Munin Plugins employ one-plugin one-graph logic and require the 
execution of a script for data retrieval for each graph. Multigraph plugins 
permit retrieval of data for multiple graphs in one execution run 
(one-plugin many-graphs), reducing the processing time and delay for the 
fetch cycle significantly.

%prep
%setup -q
rm -rf %{name}.egg-info

# remove shebang from scripts
sed -i -e '/^#!.*\//, 1d' pymunin/plugins/*.py
sed -i -e '/^#!\//, 1d' pysysinfo/*.py


%build
%{__python2} setup.py build


%install
# create munin-plugindir
%{__mkdir} -p %{buildroot}/%{_datarootdir}/munin/plugins

%{__python2} setup.py install -O1 --skip-build --root %{buildroot} --prefix=/usr

# /usr/bin is created by setup.py. remove it, we don't need it. 
rm -r %{buildroot}/%{_bindir}
 
%files
%doc COPYING.txt README.md
%{python2_sitelib}/%{name}-%{version}-py2.?.egg-info
%{python2_sitelib}/pymunin
%{python2_sitelib}/pysysinfo
%{_datarootdir}/munin/plugins/*

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.27-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.27-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.27-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.27-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jul 29 2013 Matthias Runge <mrunge@redhat.com> - 0.9.27-2
- also require python-setuptools (rhbz#984210)

* Fri Feb 15 2013 Matthias Runge <mrunge@redhat.com> - 0.9.27-1
- update to 0.9.27 (rhbz#910281)

* Wed Feb 06 2013 Matthias Runge <mrunge@redhat.com> - 0.9.26-1
- update to 0.9.26 (rhbz#902238)

* Wed Oct 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.20-1
- update to 0.9.20

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.19-1
- update to 0.9.19

* Wed Jun 06 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.17-1
- update to 0.9.17

* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.11-1
- update 0.9.11

* Fri Mar 09 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.9-1
- update to 0.9.9
- more explicit %%files-section

* Fri Feb 17 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.6-2
- update to newer version
- also include README.markdown

* Wed Feb 08 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-2
- use macros consistently

* Thu Feb 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
- fix for netstat-call from upstream

* Wed Feb 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.3-1 
- initial packaging
